### Method

# Clutter SnapConstraint get_edges

#### Declaration [src]

    void
    clutter_snap_constraint_get_edges (
      ClutterSnapConstraint* constraint,
      ClutterSnapEdge* from_edge,
      ClutterSnapEdge* to_edge
    )

#### Description [src]

Retrieves the edges used by the `constraint`.

#### Parameters

`from_edge`

  Type: `ClutterSnapEdge`

  Return location for the actor’s edge, or `NULL`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`to_edge`

  Type: `ClutterSnapEdge`

  Return location for the source’s edge, or `NULL`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.